package gs.test.v0.definition

/** The Test Suite is the primary unit of organization within `gs-test` -- each
  * execution _typically_ runs a single test suite. For example, the unit tests
  * for some project would likely comprise of a single suite.
  *
  * Within each suite is a list of [[TestGroup]], arbitrary ways to organize
  * individual [[Test]] definitions.
  *
  * @param name
  *   The name of this test suite.
  * @param documentation
  *   Arbitrary documentation for this suite of tests.
  * @param groups
  *   List of [[TestGroup]] owned by this suite.
  */
case class TestSuite[F[_]](
  name: String,
  documentation: Option[String],
  groups: List[TestGroupDefinition[F]]
)
